Package wx :: Package lib :: Module foldpanelbar :: Class CaptionBarEvent

[frames | no frames]

## Type CaptionBarEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
            PyCommandEvent --+
                             |
                            CaptionBarEvent

This event will be sent when a EVT_CAPTIONBAR is mapped in the parent. It is to notify the parent that the bar is now in collapsed or expanded state. The parent should re-arrange the associated windows accordingly

Method Summary
| ``__init__`(self, evtType)` Default Constructor For This Class.
| ``GetBar`(self)` Returns The CaptionBar Selected.
| ``GetFoldStatus`(self)` Returns whether the bar is expanded or collapsed.
| ``GetTag`(self)` Returns The Tag Assigned To The Selected CaptionBar.
| ``SetBar`(self, bar)` Sets the bar associated with this event.
| ``SetTag`(self, tag)` Assign A Tag To The Selected CaptionBar.

Property Summary

Method Details

### __init__(self, evtType)
(Constructor)

Default Constructor For This Class.

  Overrides:
    `wx.PyCommandEvent.__init__`

### GetBar(self)

Returns The CaptionBar Selected.

### GetFoldStatus(self)

Returns whether the bar is expanded or collapsed. True means expanded.

### GetTag(self)

Returns The Tag Assigned To The Selected CaptionBar.

### SetBar(self, bar)

Sets the bar associated with this event.

Should not used by any other then the originator of the event.

### SetTag(self, tag)

Assign A Tag To The Selected CaptionBar.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:15 2007 | http://epydoc.sf.net